

;-| Super Motions |--------------------------------------------------------
[Command]
name = "dfdf_1"
command = ~D, F, D, F, x
time = 45

[Command]
name = "dfdf_2"
command = ~D, F, D, F, y
time = 45

[Command]
name = "dfdf_3"
command = ~D, F, D, F, a
time = 45

[Command]
name = "dfdf_4"
command = ~D, F, D, F, b
time = 45

[Command]
name = "dfdb_4"
command = ~D, F, D, B, b
time = 45

[Command]
name = "dfdb_2"
command = ~D, F, D, B, y
time = 45

[Command]
name = "dbdb_1"
command = ~D, B, D, B, x
time = 45

[Command]
name = "dbdb_2"
command = ~D, B, D, B, y
time = 45

[Command]
name = "dbdb_3"
command = ~D, B, D, B, a
time = 45

[Command]
name = "dbdb_4"
command = ~D, B, D, B, b
time = 45

;-| Special Motions |------------------------------------------------------
[Command]
name = "db_1"
command = ~D, B, x

[Command]
name = "db_3"
command = ~D, B, a

[Command]
name = "db_4"
command = ~D, B, b

[Command]
name = "df_1"
command = ~D, F, x

[Command]
name = "df_2"
command = ~D, F, y

[Command]
name = "df_3"
command = ~D, F, a

[Command]
name = "df_4"
command = ~D, F, b

[Command]
name = "df_5"
command = ~D, F, z

[Command]
name = "db_2"
command = ~D, B, y

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "dodge"
command = x+y
time = 1

name = "c"
command = a+b
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_a"
command = /F,a
time = 1

[Command]
name = "fwd_b"
command = /F,b
time = 1

[Command]
name = "fwd_c"
command = /F,c
time = 1

[Command]
name = "fwd_x"
command = /F,x
time = 1

[Command]
name = "fwd_y"
command = /F,y
time = 1

[Command]
name = "fwd_z"
command = /F,z
time = 1

[Command]
name = "back_a"
command = /B,a
time = 1

[Command]
name = "back_b"
command = /B,b
time = 1

[Command]
name = "back_c"
command = /B,c
time = 1

[Command]
name = "back_x"
command = /B,x
time = 1

[Command]
name = "back_y"
command = /B,y
time = 1

[Command]
name = "back_z"
command = /B,z
time = 1

[Command]
name = "fd_b"
command = /DF,b
time = 1

[Command]
name = "fd_y"
command = /DF,y
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1



;-| Single Button |---------------------------------------------------------
[Command]
name = "hold_x"
command = /$x
time = 1

[Command]
name = "hold_y"
command = /$y
time = 1


[Command]
name = "hold_a"
command = /$a
time = 1

[Command]
name = "hold_b"
command = /$b
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "longjump"
command = D, $U
time = 18

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.  
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;ǰ
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl = 1


[State -1]
type = ChangeState
value = 4100
triggerall = command = "dfdf_4"
triggerall = power >= 2000
triggerall = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 4000
triggerall = command = "dfdf_2"
triggerall = power >= 1000
triggerall = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3400
triggerall = P2statetype != A && P2bodydist X < 30 && P2stateno != 40 && P2stateno != 5110 && P2stateno != 5120
triggerall = command = "dfdf_3"
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3300
triggerall = P2statetype != A && P2bodydist X < 30 && P2stateno != 40 && P2stateno != 5110 && P2stateno != 5120
triggerall = command = "dfdf_1"
triggerall = power >= 1000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3750
triggerall = command = "dfdb_4"
triggerall = numproj = 0
triggerall = NumHelper(3700) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3700
triggerall = command = "dfdb_2"
triggerall = numproj = 0
triggerall = NumHelper(3700) = 0
triggerall = power >= 1000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3500
triggerall = command = "dbdb_2"
triggerall = NumHelper(3700) = 0
triggerall = power >= 1000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3550
triggerall = command = "dbdb_4"
triggerall = NumHelper(3700) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3100
triggerall = command = "dbdb_3"
triggerall = numproj = 0
triggerall = NumHelper(3700) = 0
triggerall = power >= 2000
triggerall = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 3000
triggerall = command = "dbdb_1"
triggerall = numproj = 0
triggerall = NumHelper(3700) = 0
triggerall = power >= 1000
triggerall = statetype = S
trigger1 = ctrl = 1



;;;ɱ
[State -1]
type = ChangeState
value = 1800
triggerall = statetype != A
trigger1 = command = "df_5"
trigger1 = ctrl = 1
;trigger1 = statetype = S

[State -1]
type = ChangeState
value = 1001
triggerall = command = "db_1"
triggerall = numproj = 0
triggerall = statetype = A
trigger1 = ctrl = 1


[State -1]
type = ChangeState
value = 1300
triggerall = command = "db_2"
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno =300
trigger2 = movehit = 1

[State -1]
type = ChangeState
value = 1700
triggerall = command = "db_4"
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno =300
trigger2 = movehit = 1

[State -1]
type = ChangeState
value = 1000
triggerall = command = "db_1"
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno =300
trigger2 = movehit = 1

[State -1]
type = ChangeState
value = 1400
triggerall = command = "db_3"
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1
trigger2 = stateno =300
trigger2 = movehit = 1

[State -1]
type = ChangeState
value = 1401
triggerall = command = "db_3"
triggerall = numproj = 0
triggerall = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 1200
triggerall = command = "df_2"
triggerall = NumHelper(1210) = 0
triggerall = statetype != A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 1201
triggerall = command = "df_2"
triggerall = NumHelper(1210) = 0
triggerall = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 1100
triggerall = command = "df_1"
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 1500
triggerall = command = "df_3"
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 1601
triggerall = command = "df_4"
triggerall = numproj = 0
triggerall = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 1600
triggerall = command = "df_4"
triggerall = numproj = 0
triggerall = statetype != A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 775
trigger1 = command = "dodge" ^^ command = "z"
trigger1 = command = "holdback" && statetype = S && ctrl

[State -1]
type = ChangeState
value = 750
trigger1 = command = "dodge" ^^ command = "z"
trigger1 = statetype = S && ctrl


[State -1]
type = ChangeState
value = 920
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X <= 10 ;Near P2
trigger1 = command = "fwd_b";p2 stand
trigger1 = stateno != 100    ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = "fwd_b";p2 crouch
trigger2 = stateno != 100    ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = "back_b";p2 stand
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = "back_b";p2 crouch
trigger4 = p2statetype = C
trigger4 = p2movetype != H


[State -1]
type = ChangeState
value = 900
triggerall = statetype = S
triggerall = ctrl = 1
triggerall = p2bodydist X <= 6 ;Near P2
trigger1 = command = "fwd_a";p2 stand
trigger1 = stateno != 100    ;Not running
trigger1 = p2statetype = S
trigger1 = p2movetype != H
trigger2 = command = "fwd_a";p2 crouch
trigger2 = stateno != 100    ;Not running
trigger2 = p2statetype = C
trigger2 = p2movetype != H
trigger3 = command = "back_a";p2 stand
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger4 = command = "back_a";p2 crouch
trigger4 = p2statetype = C
trigger4 = p2movetype != H


[State -1]
type = ChangeState
value = 240
trigger1 = command = "c"
trigger1 = statetype != A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 640
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 300
triggerall = command = "fwd_x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 225
trigger2 = movecontact = 1  
trigger3 = stateno = 215
trigger3 = movecontact = 1
trigger4 = stateno = 420
trigger4 = movecontact = 1

[State -1]
type = ChangeState
value = 340
triggerall = command = "fd_y"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = C
trigger2 = ctrl = 1


[State -1]
type = ChangeState
value = 310
triggerall = command = "fwd_y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 225
trigger2 = movecontact = 1  
trigger3 = stateno = 215
trigger3 = movecontact = 1

[State -1]
type = ChangeState
value = 320
triggerall = command = "fd_b"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = statetype = C
trigger2 = ctrl = 1
trigger3 = stateno = 400
trigger3 = movecontact = 1
trigger4 = stateno = 410
trigger4 = movecontact = 1  
trigger5 = stateno = 420
trigger5 = movecontact = 1

[State -1]
type = ChangeState
value = 330
triggerall = command = "down_y"
trigger1 = statetype = A
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 350
triggerall = command = "down_x"
trigger1 = statetype = A
trigger1 = ctrl = 1

;===========================================================================
;---------------------------------------------------------------------------
;վȭ
[State -1]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2bodydist x <= 18
trigger1 = statetype = S
trigger1 = ctrl = 1


;վȭ
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
;---------------------------------------------------------------------------
;վ
[State -1]
type = ChangeState
value = 215
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2bodydist x <= 18
trigger1 = statetype = S
trigger1 = ctrl = 1

[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl




;---------------------------------------------------------------------------
;վȭ
[State -1]
type = ChangeState
value = 225
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = p2bodydist x <= 18
trigger1 = statetype = S
trigger1 = ctrl = 1

[State -1, Stand Light Kick]
type = ChangeState
value = 220
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl




;---------------------------------------------------------------------------
;վؽ
[State -1]
type = ChangeState
value = 235
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2bodydist x <= 18
trigger1 = statetype = S
trigger1 = ctrl = 1

[State -1]
type = ChangeState
value = 230
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 410)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 420
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 410)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 430
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 410)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = statetime >= 7

;---------------------------------------------------------------------------
[State -1, Jump Strong Kick]
type = ChangeState
value = 615
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 ;jump_x or jump_a
trigger2 = movecontact
triggerall = vel X = 0

;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 ;jump_x or jump_a
trigger2 = movecontact

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 625
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
triggerall = vel X = 0

[State -1, Jump Light Kick]
type = ChangeState
value = 620
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl
;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 635
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 ;jump_x or jump_a
trigger2 = movecontact
triggerall = vel X = 0

;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 630
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 610 ;jump_x or jump_a
trigger2 = movecontact